package com.awp.homedirect.util;

public interface TextData
{
    // Translatable full account names
    public static final String PC_TYPE = "Primary Checking";
    public static final String PS_TYPE = "Primary Savings";
    public static final String SC_TYPE = "Secondary Checking";
    public static final String SS_TYPE = "Secondary Savings";
    public static final String VS_TYPE = "Visa Card";

    // Translatable error and info text strings
    public static final String NEEDUSERPWD = "You must specify both a username and password. Try again.";
    public static final String BADUSERPWD = "Username and/or password is not valid. Try again.";
    public static final String NOTLOGGEDIN = "You are not currently logged in. Enter a username and password.";

    public static final String CANCELTRANSFER = "Transfer cancelled.";
    public static final String FIXENTRYTRANSFER = "Select FROM and TO accounts, enter a valid amount to transfer, and enter your password.";
    public static final String TRANSFERNOTALLOWED = "Transfer not allowed due to insufficient funds. Try again with new selections.";
    public static final String TRANSFERFAILED = "Unable to contact remote system to complete transfer. Please try again.";
    public static final String TRANSFERCOMPLETED = "Transfer completed okay. Reference number:";

    public static final String CANCELPAYBILLS = "Pay bills cancelled.";
    public static final String FIXENTRYPAYBILLS = "Select FROM account, bill to pay, and enter your password.";
    public static final String PAYBILLSNOTALLOWED = "Payment not allowed due to insufficient funds. Try again with new selections.";
    public static final String PAYBILLSFAILED = "Unable to contact remote system to complete payment. Please try again.";
    public static final String PAYBILLSCOMPLETED = "Payment request completed okay. Reference number:";

    public static final String CANCELEDITPROFILE = "Edit profile cancelled.";
    public static final String PROFILEBADPWD = "Current password incorrect. Try again.";
    public static final String PROFILEBADNEWPWD = "New password not entered correctly. Try again.";
    public static final String PROFILECHANGED = "Profile changes completed ok.";
}
