package com.awp.homedirect.web;

import java.rmi.RemoteException;
import java.util.Collection;
import java.util.Iterator;

import com.awp.homedirect.util.Trace;
import com.awp.homedirect.ejb.transact.Transact;

public class TransactInfo
{
    private Collection transacts;
    private String tableData;

    public TransactInfo(Collection transacts)
    {
        this.transacts = transacts;
    }

    // Formats transact info for output in a viewable table
    public String getTransactTable()
    {
        tableData = "<BR><BR><BR><BR><BR><BR>\n" +
                    "<CENTER><H4>** No transaction information for this user **</H4></CENTER>\n" +
                    "<BR><BR><BR><BR><BR>\n";

        if(transacts.size() > 0)
        {
            try
            {
                Iterator iterator = transacts.iterator();
                tableData = "<CENTER>\n" +
                            "<TABLE border=5 width=700 height=250>\n" +
                            "<TR>" +
                            "<TH bgcolor=\"#ccffcc\">Reference ID" +
                            "<TH bgcolor=\"#ccffcc\">From Account" +
                            "<TH bgcolor=\"#ccffcc\">To Account or Bill" +
                            "<TH bgcolor=\"#ccffcc\">Transaction Details" +
                            "<TH bgcolor=\"#ccffcc\">Amount\n";

                for(int i=0; i<transacts.size(); i++)
                {  
                    Transact transact = (Transact)iterator.next();
                    tableData = tableData + transact.getRowForList();
                }
                tableData = tableData + "</TR>\n</TABLE>\n</CENTER>\n";
            }
            catch(RemoteException e)
            {
                if(Trace.OK) System.out.println("HD<TransactInfo>: Error - " + e);
            }
        }
        
        return tableData;
    }
}
