package com.awp.homedirect.ejb.account;

import java.rmi.RemoteException;
import javax.ejb.*;

import com.awp.homedirect.ejb.account.AccountException;

public interface Account extends javax.ejb.EJBObject
{
    public String getAccountid() throws java.rmi.RemoteException;

    public int getCustomerid() throws java.rmi.RemoteException;
    public void setCustomerid(int newCustomerid) throws java.rmi.RemoteException;
  
    public String getAccounttype() throws java.rmi.RemoteException;
    public void setAccounttype(String newAccounttype) throws java.rmi.RemoteException;
  
    public long getBalance() throws java.rmi.RemoteException;
    public void setBalance(long newBalance) throws java.rmi.RemoteException;
  
    public long getLimit() throws java.rmi.RemoteException;
    public void setLimit(long newLimit) throws java.rmi.RemoteException;
 
    public long getUserfee() throws java.rmi.RemoteException;
    public void setUserfee(long newUserfee) throws java.rmi.RemoteException;

    public String getBalanceStr() throws java.rmi.RemoteException;
    public String getLimitStr() throws java.rmi.RemoteException;
    public String getUserfeeStr() throws java.rmi.RemoteException;
    public String getAccounttypeStr() throws java.rmi.RemoteException;
    public void setAccounttypeStr(String newAccountType) throws java.rmi.RemoteException;

    public String getRowForBalances() throws java.rmi.RemoteException;
    public String getRowForPayBills() throws java.rmi.RemoteException;
    public String getRowForTransfer() throws java.rmi.RemoteException;

    public void deposit(long lAmount) throws java.rmi.RemoteException;
    public long withdrawl(long lAmount) throws java.rmi.RemoteException, AccountException;
}
