package com.awp.homedirect.ejb.bill;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.util.Collection;

import com.awp.homedirect.util.*;

public abstract class BillEJB implements javax.ejb.EntityBean
{
    // EJB context
    public javax.ejb.EntityContext EJB_Context;

    // Lifecycle methods
    public java.lang.String ejbCreate(String billid,
                                      String billname,
                                      int customerid,
                                      long dueamount,
                                      String duedate,
                                      String referenceid)
                            throws javax.ejb.CreateException
    {
        setBillid(billid);
        setBillname(billname);
        setCustomerid(customerid);
        setDueamount(dueamount);
        setDuedate(duedate);
        setReferenceid(referenceid);

        return null;
    }
    
    public void ejbPostCreate(String billid,
                              String billname,
                              int customerid,
                              long dueamount,
                              String duedate,
                              String referenceid)
                throws javax.ejb.CreateException
    { 
    }
    
    public void ejbActivate() {}
    public void ejbPassivate() {}
 
    public void ejbLoad()
    { 
        if(Trace.OK) System.out.println("HD<BillEJB-ejbLoad>: " + getBillid());
    }
 
    public void ejbStore()
    { 
        if(Trace.OK) System.out.println("HD<BillEJB-ejbStore>: " + getBillid());
    }
 
    public void ejbRemove() throws javax.ejb.RemoveException
    { 
    }
 
    public void setEntityContext(javax.ejb.EntityContext ctx)
    { 
        EJB_Context = ctx;
    }
 
    public void unsetEntityContext()
    { 
        EJB_Context = null;
    }

    // Accessor methods    
    public abstract String getBillid();
    public abstract void setBillid(String newBillid);
 
    public abstract int getCustomerid();
    public abstract void setCustomerid(int newCustomerid);

    public abstract String getBillname();
    public abstract void setBillname(String newBillname);

    public abstract long getDueamount();
    public abstract void setDueamount(long newDueamount);

    public abstract String getDuedate();
    public abstract void setDuedate(String newDuedate);

    public abstract String getReferenceid();
    public abstract void setReferenceid(String newReferenceid);

    // Business methods
    public String getDueamountStr()
    { 
        return Convert.l2cur(getDueamount());
    }

    public String getRowForUnpaidBills()
    {
        String sRow = "<TR align=\"center\">" +
                      "<TD bgcolor=white align=\"left\"><INPUT type=\"radio\" name=\"billId\" " +
                      "value=\"" + getBillid() + "\">" + getBillid() +
                      "<TD bgcolor=white>" + getBillname() +
                      "<TD bgcolor=white>" + getDuedate() +
                      "<TD bgcolor=white><B>" + getDueamountStr() + "</B>\n";

        return sRow;
    }
}
