package com.awp.homedirect.ejb.bill;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.util.Collection;

import com.awp.homedirect.util.*;

public class BillEJB implements javax.ejb.EntityBean
{
    // EJB context
    public javax.ejb.EntityContext EJB_Context;

    // CMP fields
    public String billid;
    public String billname;
    public int customerid;
    public long dueamount;
    public String duedate;
    public String referenceid;
    
    // Lifecycle methods
    public java.lang.String ejbCreate(String billid,
                                      String billname,
                                      int customerid,
                                      long dueamount,
                                      String duedate,
                                      String referenceid)
                            throws javax.ejb.CreateException
    {
        this.billid = billid;
        this.billname = billname;
        this.customerid = customerid;
        this.dueamount = dueamount;
        this.duedate = duedate;
        this.referenceid = referenceid;

        return null;
    }
    
    public void ejbPostCreate(String billid,
                              String billname,
                              int customerid,
                              long dueamount,
                              String duedate,
                              String referenceid)
                throws javax.ejb.CreateException
    { 
    }
    
    public void ejbActivate() {}
    public void ejbPassivate() {}
 
    public void ejbLoad()
    { 
        if(Trace.OK) System.out.println("HD<BillEJB-ejbLoad>: " + getBillid());
    }
 
    public void ejbStore()
    { 
        if(Trace.OK) System.out.println("HD<BillEJB-ejbStore>: " + getBillid());
    }
 
    public void ejbRemove() throws javax.ejb.RemoveException
    { 
    }
 
    public void setEntityContext(javax.ejb.EntityContext ctx)
    { 
        EJB_Context = ctx;
    }
 
    public void unsetEntityContext()
    { 
        EJB_Context = null;
    }

    // Accessor methods    
    public String getBillid()
    { 
        return billid;
    }
 
    public int getCustomerid()
    { 
        return customerid;
    }
    
    public void setCustomerid(int newCustomerid)
    { 
        customerid = newCustomerid;
    }

    public String getBillname()
    { 
        return billname;
    }

    public void setBillname(String newBillname)
    { 
        billname = newBillname;
    }

    public long getDueamount()
    { 
        return dueamount;
    }

    public void setDueamount(long newDueamount)
    { 
        dueamount = newDueamount;
    }

    public String getDuedate()
    { 
        return duedate;
    }
 
    public void setDuedate(String newDuedate)
    { 
        duedate = newDuedate;
    }

    public String getReferenceid()
    { 
        return referenceid;
    }

    public void setReferenceid(String newReferenceid)
    { 
        referenceid = newReferenceid;
    }

    // Business methods
    public String getDueamountStr()
    { 
        return Convert.l2cur(dueamount);
    }

    public String getRowForUnpaidBills()
    {
        String sRow = "<TR align=\"center\">" +
                      "<TD bgcolor=white align=\"left\"><INPUT type=\"radio\" name=\"billId\" " +
                      "value=\"" + getBillid() + "\">" + getBillid() +
                      "<TD bgcolor=white>" + getBillname() +
                      "<TD bgcolor=white>" + getDuedate() +
                      "<TD bgcolor=white><B>" + getDueamountStr() + "</B>\n";

        return sRow;
    }
}
