package com.awp.homedirect.web;

import java.rmi.RemoteException;

import com.awp.homedirect.util.Trace;
import com.awp.homedirect.ejb.profile.Profile;

public class ProfileInfo
{
    private Profile profile;
    private String pageData;

    public ProfileInfo(Profile profile)
    {
        this.profile = profile;
    }

    // Formats profile info for output in a viewable page
    public String getProfileInfo()
    {
        try
        {
            pageData = profile.getProfileInfo();
        }
        catch(RemoteException e)
        {
            if(Trace.OK) System.out.println("HD<ProfileInfo>: Error - " + e);
        }
        
        return pageData;
    }
}
